<ion-header>
    <ion-toolbar>
        <ion-title>Vyhledávaní {{hlavicka}}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid>
        <div [hidden]=zobrazChyba>
            <ion-row>
                <ion-col>
                    <ion-label color="danger">{{textChyba}}</ion-label>
                </ion-col>
            </ion-row>
        </div>
        <ion-row>
            <ion-col>
                <ion-label>{{text1}}</ion-label>
            </ion-col>
            <ion-col>
                <ion-label>{{text2}}</ion-label>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-input [(ngModel)]="parametr1" style="border-bottom: solid #f25454;"></ion-input>
            </ion-col>
            <ion-col>
                <ion-input [(ngModel)]="parametr2" style="border-bottom: solid #f25454;"></ion-input>
            </ion-col>
        </ion-row>
        <div [hidden]=schovane>
            <ion-row>
                <ion-col>
                    <ion-label>{{text3}}</ion-label>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col>
                    <ion-input [(ngModel)]="parametr3" style="border-bottom: solid #f25454;"></ion-input>
                </ion-col>
            </ion-row>
        </div>
        <br />
        <ion-row>
            <ion-button color="danger" (click)="klikHledat()">Hledat</ion-button>
        </ion-row>
        <div [hidden]=upozorneni>
            <ion-row>
                <ion-col class="radek">Nebyl nalezen žádný výsledek.</ion-col>
            </ion-row>
        </div>
    </ion-grid>

    <ion-list>
        <ion-item class="radek" *ngFor="let ucitel of (ucitele)" (click)="klikUcitel(ucitel.ucitIdno)">
            {{ucitel.titulPred}} {{ucitel.jmeno}} {{ucitel.prijmeni}} {{ucitel.titulZa}}
        </ion-item>
        <ion-item class="radek" *ngFor="let student of (studenti)" (click)="klikStudent(student.osCislo)">
            {{student.osCislo}} - {{student.jmeno}} {{student.prijmeni}}
        </ion-item>
        <ion-item class="radek" *ngFor="let predmet of (predmety)" (click)="klikPredmet(predmet.katedra, predmet.zkratka)">
            {{predmet.katedra}}/{{predmet.zkratka}} - {{predmet.nazev}}
        </ion-item>
        <ion-item class="radek" *ngFor="let mistnost of (mistnosti)" (click)="klikMistnost(mistnost)">
            {{mistnost.zkrBudovy}} - {{mistnost.cisloMistnosti}}
        </ion-item>
    </ion-list>

</ion-content>

<app-menu></app-menu>